MWAWGraphicEncoder Class Reference documentation

MWAWGraphicEncoder Class Referencefinal

main class used to define store librevenge::RVNGDrawingInterface lists of command in a librevenge::RVNGBinaryData. More...

`#include <MWAWGraphicEncoder.hxx>`

Inheritance diagram for MWAWGraphicEncoder:

## Public Member Functions
| MWAWGraphicEncoder ()
| constructor
| ~MWAWGraphicEncoder () final
| destructor
bool | getBinaryResult (MWAWEmbeddedObject &result)
| return the final graphic
void | startDocument (const librevenge::RVNGPropertyList &propList) final
void | endDocument () final
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) final
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) final
void | startPage (const librevenge::RVNGPropertyList &propList) final
void | endPage () final
void | startMasterPage (const librevenge::RVNGPropertyList &propList) final
void | endMasterPage () final
void | setStyle (const librevenge::RVNGPropertyList &propList) final
void | startLayer (const librevenge::RVNGPropertyList &propList) final
void | endLayer () final
void | startEmbeddedGraphics (const librevenge::RVNGPropertyList &propList) final
void | endEmbeddedGraphics () final
void | openGroup (const librevenge::RVNGPropertyList &propList) final
void | closeGroup () final
void | drawRectangle (const librevenge::RVNGPropertyList &propList) final
void | drawEllipse (const librevenge::RVNGPropertyList &propList) final
void | drawPolygon (const librevenge::RVNGPropertyList &vertices) final
void | drawPolyline (const librevenge::RVNGPropertyList &vertices) final
void | drawPath (const librevenge::RVNGPropertyList &path) final
void | drawConnector (const librevenge::RVNGPropertyList &propList) final
void | drawGraphicObject (const librevenge::RVNGPropertyList &propList) final
void | startTextObject (const librevenge::RVNGPropertyList &propList) final
void | endTextObject () final
void | startTableObject (const librevenge::RVNGPropertyList &propList) final
void | endTableObject () final
void | openTableRow (const librevenge::RVNGPropertyList &propList) final
void | closeTableRow () final
void | openTableCell (const librevenge::RVNGPropertyList &propList) final
void | closeTableCell () final
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) final
void | insertTab () final
void | insertSpace () final
void | insertText (const librevenge::RVNGString &text) final
void | insertLineBreak () final
void | insertField (const librevenge::RVNGPropertyList &propList) final
void | openLink (const librevenge::RVNGPropertyList &propList) final
void | closeLink () final
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) final
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) final
void | closeOrderedListLevel () final
void | closeUnorderedListLevel () final
void | openListElement (const librevenge::RVNGPropertyList &propList) final
void | closeListElement () final
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) final
void | openParagraph (const librevenge::RVNGPropertyList &propList) final
void | closeParagraph () final
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) final
void | openSpan (const librevenge::RVNGPropertyList &propList) final
void | closeSpan () final

## Protected Attributes
std::shared_ptr< MWAWGraphicEncoderInternal::State > | m_state
| the actual state

## Detailed Description

main class used to define store librevenge::RVNGDrawingInterface lists of command in a librevenge::RVNGBinaryData.

See also
  MWAWGraphicDecoder can be used to decode back the pictures...

      \note as this class implements the functions librevenge::RVNGDrawingInterface,

  the documentation is not duplicated..

## Constructor & Destructor Documentation

## ◆ MWAWGraphicEncoder()

MWAWGraphicEncoder::MWAWGraphicEncoder | ( |  | ) |

constructor

## ◆ ~MWAWGraphicEncoder()

MWAWGraphicEncoder::~MWAWGraphicEncoder | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ closeGroup()

void MWAWGraphicEncoder::closeGroup | ( |  | ) |
| final

## ◆ closeLink()

void MWAWGraphicEncoder::closeLink | ( |  | ) |
| final

## ◆ closeListElement()

void MWAWGraphicEncoder::closeListElement | ( |  | ) |
| final

## ◆ closeOrderedListLevel()

void MWAWGraphicEncoder::closeOrderedListLevel | ( |  | ) |
| final

## ◆ closeParagraph()

void MWAWGraphicEncoder::closeParagraph | ( |  | ) |
| final

## ◆ closeSpan()

void MWAWGraphicEncoder::closeSpan | ( |  | ) |
| final

## ◆ closeTableCell()

void MWAWGraphicEncoder::closeTableCell | ( |  | ) |
| final

## ◆ closeTableRow()

void MWAWGraphicEncoder::closeTableRow | ( |  | ) |
| final

## ◆ closeUnorderedListLevel()

void MWAWGraphicEncoder::closeUnorderedListLevel | ( |  | ) |
| final

## ◆ defineCharacterStyle()

void MWAWGraphicEncoder::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineEmbeddedFont()

void MWAWGraphicEncoder::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineParagraphStyle()

void MWAWGraphicEncoder::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawConnector()

void MWAWGraphicEncoder::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawEllipse()

void MWAWGraphicEncoder::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawGraphicObject()

void MWAWGraphicEncoder::drawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawPath()

void MWAWGraphicEncoder::drawPath | ( | const librevenge::RVNGPropertyList & | path | ) |
| final

## ◆ drawPolygon()

void MWAWGraphicEncoder::drawPolygon | ( | const librevenge::RVNGPropertyList & | vertices | ) |
| final

## ◆ drawPolyline()

void MWAWGraphicEncoder::drawPolyline | ( | const librevenge::RVNGPropertyList & | vertices | ) |
| final

## ◆ drawRectangle()

void MWAWGraphicEncoder::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ endDocument()

void MWAWGraphicEncoder::endDocument | ( |  | ) |
| final

## ◆ endEmbeddedGraphics()

void MWAWGraphicEncoder::endEmbeddedGraphics | ( |  | ) |
| final

## ◆ endLayer()

void MWAWGraphicEncoder::endLayer | ( |  | ) |
| final

## ◆ endMasterPage()

void MWAWGraphicEncoder::endMasterPage | ( |  | ) |
| final

## ◆ endPage()

void MWAWGraphicEncoder::endPage | ( |  | ) |
| final

## ◆ endTableObject()

void MWAWGraphicEncoder::endTableObject | ( |  | ) |
| final

## ◆ endTextObject()

void MWAWGraphicEncoder::endTextObject | ( |  | ) |
| final

## ◆ getBinaryResult()

bool MWAWGraphicEncoder::getBinaryResult | ( | MWAWEmbeddedObject & | result | ) |

return the final graphic

Referenced by MWAWTextListener::insertShape(), Canvas5Image::readVKFL(), MsWksGraph::send(), RagTime5Spreadsheet::send(), RagTime5Text::send(), HanMacWrdJGraph::sendEmptyPicture(), HanMacWrdKGraph::sendEmptyPicture(), HanMacWrdJGraph::sendFrame(), HanMacWrdKGraph::sendFrame(), ClarisWksGraph::sendGroup(), MsWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), GreatWksGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdKGraph::sendGroupChild(), MsWksGraph::sendGroupChild(), MarinerWrtGraph::sendRule(), and GreatWksGraph::sendTextbox().

## ◆ insertCoveredTableCell()

void MWAWGraphicEncoder::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ insertField()

void MWAWGraphicEncoder::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ insertLineBreak()

void MWAWGraphicEncoder::insertLineBreak | ( |  | ) |
| final

## ◆ insertSpace()

void MWAWGraphicEncoder::insertSpace | ( |  | ) |
| final

## ◆ insertTab()

void MWAWGraphicEncoder::insertTab | ( |  | ) |
| final

## ◆ insertText()

void MWAWGraphicEncoder::insertText | ( | const librevenge::RVNGString & | text | ) |
| final

## ◆ openGroup()

void MWAWGraphicEncoder::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openLink()

void MWAWGraphicEncoder::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openListElement()

void MWAWGraphicEncoder::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openOrderedListLevel()

void MWAWGraphicEncoder::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openParagraph()

void MWAWGraphicEncoder::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openSpan()

void MWAWGraphicEncoder::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openTableCell()

void MWAWGraphicEncoder::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openTableRow()

void MWAWGraphicEncoder::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openUnorderedListLevel()

void MWAWGraphicEncoder::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ setDocumentMetaData()

void MWAWGraphicEncoder::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ setStyle()

void MWAWGraphicEncoder::setStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startDocument()

void MWAWGraphicEncoder::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startEmbeddedGraphics()

void MWAWGraphicEncoder::startEmbeddedGraphics | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startLayer()

void MWAWGraphicEncoder::startLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startMasterPage()

void MWAWGraphicEncoder::startMasterPage | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startPage()

void MWAWGraphicEncoder::startPage | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startTableObject()

void MWAWGraphicEncoder::startTableObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startTextObject()

void MWAWGraphicEncoder::startTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## Member Data Documentation

## ◆ m_state

std::shared_ptr<MWAWGraphicEncoderInternal::State> MWAWGraphicEncoder::m_state
| protected

the actual state

Referenced by closeGroup(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTableCell(), closeTableRow(), closeUnorderedListLevel(), defineCharacterStyle(), defineEmbeddedFont(), defineParagraphStyle(), drawConnector(), drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), endEmbeddedGraphics(), endLayer(), endMasterPage(), endPage(), endTableObject(), endTextObject(), getBinaryResult(), insertCoveredTableCell(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), MWAWGraphicEncoder(), openGroup(), openLink(), openListElement(), openOrderedListLevel(), openParagraph(), openSpan(), openTableCell(), openTableRow(), openUnorderedListLevel(), setDocumentMetaData(), setStyle(), startDocument(), startEmbeddedGraphics(), startLayer(), startMasterPage(), startPage(), startTableObject(), and startTextObject().

The documentation for this class was generated from the following files:

- MWAWGraphicEncoder.hxx
- MWAWGraphicEncoder.cxx